colorEditor(txtOrSha) 
{
	self endon("disconnect");
	
	closeMenu();
	self freezeControlsAllowLook(true);
	menu = [];
	menu["bg"] = self createShader("white", "CENTER", "CENTER", 0, -50, 160, 160, (0, 0, 0), .8, 1);
	posX = strTok("-50;0;50;-50;0;50;-50;0;50", ";");
	posY = strTok("-100;-100;-100;-50;-50;-50;-0;-0;-0", ";");
	menu["box"] = [];
	for(m = 0; m < 9; m++)
		menu["box"][m] = self createShader("white", "CENTER", "CENTER", int(posX[m]), int(posY[m]), 30, 30, (randomInt(255)/255, randomInt(255)/255, randomInt(255)/255), 1, 3);
	menu["scroller"] = self createShader("white", "CENTER", "CENTER", menu["box"][0].x, menu["box"][0].y, 40, 40, (1, 1, 1), 1, 2);
	self iPrintLn("Press [{+speed_throw}]/[{+attack}] To Scroll");
	self iPrintLn("Press [{+usereload}] To Select");
	self iPrintLn("Press [{+melee}] To Exit");
	menu["curs"] = 0;
	wait .3;
	for(;;)
	{
		if(self attackButtonPressed() || self adsButtonPressed())
		{
			menu["curs"]+= self attackButtonPressed();
			menu["curs"]-= self adsButtonPressed();
			if(menu["curs"] > menu["box"].size-1)
				menu["curs"] = 0;
			if(menu["curs"] < 0)
				menu["curs"] = menu["box"].size-1;
			menu["scroller"] setPoint("CENTER", "CENTER", menu["box"][menu["curs"]].x, menu["box"][menu["curs"]].y);
			wait .2;
		}
		if(self useButtonPressed())
		{
			colour = menu["box"][menu["curs"]].color;
			if(txtOrSha == "shader")
				self changeMenuShaderColor(colour);
			break;
		}
		if(self meleeButtonPressed())
			break;
		
		wait .05;
	}
	for(m = 0; m < menu["box"].size; m++)
		menu["box"][m] destroy();
	menu["bg"] destroy();
	menu["scroller"] destroy();
	self freezeControlsAllowLook(false);
}

changeMenuShaderColor(colour)
{
	self.menu.background3.color = colour;
	self.menu.background2.color = colour;
	self.menu.background1.color = colour;
	self.menu.background4.color = colour;
	self.menu.scroller.color = colour;
	self.menu.infobox.color = colour;
	self.menu.infoboxtxt.glowColor = colour;
	self.alexheart.glowColor = colour;
}

	


createShader(shader, align, relative, x, y, width, height, color, alpha, sort)
{
    hud = newClientHudElem(self);
    hud.elemtype = "icon";
    hud.color = color;
    hud.alpha = alpha;
    hud.sort = sort;
    hud.children = [];
	hud setParent(level.uiParent);
    hud setShader(shader, width, height);
	hud setPoint(align, relative, x, y);
	hud.hideWhenInMenu = true;
    return hud;
}

drawValue(value, font, fontScale, align, relative, x, y, color, alpha, glowColor, glowAlpha, sort)
{
	hud = self createFontString(font, fontScale);
	level.result+=1;
	level notify("textset");
    hud setPoint( align, relative, x, y );
	hud.color = color;
	hud.alpha = alpha;
	hud.glowColor = glowColor;
	hud.glowAlpha = glowAlpha;
	hud.sort = sort;
	hud.alpha = alpha;
	hud setValue(value);
	hud.foreground = true;
	hud.hideWhenInMenu = true;
	return hud;
}

drawLevelValue(value, font, fontScale, align, relative, x, y, color, alpha, glowColor, glowAlpha, sort)
{
	hud = level createServerFontString(font, fontScale);
	level.result+=1;
	level notify("textset");
    hud setPoint(align, relative, x, y);
	hud.color = color;
	hud.alpha = alpha;
	hud.glowColor = glowColor;
	hud.glowAlpha = glowAlpha;
	hud.sort = sort;
	hud.alpha = alpha;
	hud setValue(value);
	hud.foreground = true;
	hud.hideWhenInMenu = true;
	return hud;
}




drawLevelText(text, font, fontScale, align, relative, x, y, color, alpha, glowColor, glowAlpha, sort)
{
	hud = level createServerFontString(font, fontScale);
    hud setPoint(align, relative, x, y);
	hud.color = color;
	hud.alpha = alpha;
	hud.glowColor = glowColor;
	hud.glowAlpha = glowAlpha;
	hud.sort = sort;
	hud.alpha = alpha;
	hud setSafeText(text);
	hud.foreground = true;
	hud.hideWhenInMenu = true;
	return hud;
}

toggleStealth()
{
	if(self.menu.stealthmode == 0)
	{
		self.menu.stealthmode = 1;
		self.menu.background.archived = false;
		self.menu.background1.archived = false;
		self.menu.background2.archived = false;
		self.menu.background3.archived = false;
		self.menu.header.archived = false;
		self.menu.background4.archived = false;
		self.menu.scroller.archived = false;
		self.menu.title.archived = false;
		self.menu.underText.archived = false;
		self iprintln("Stealth Mode Enabled");
	}
	}
	
	toggle_god()
{
    if(self.god == 0)
    {
        self iprintln("God Mode ^5ON");
        self.maxhealth = 99999999;
        self.health = self.maxhealth;
        while(self.health < self.maxhealth)
        {
            self.health = self.maxhealth;
        }
        self EnableInvulnerability();
        self.god = 1;
    }
    else
    {
        self iprintln("God Mode ^4OFF");
        self.maxhealth = 100;
        self DisableInvulnerability();
        self.god = 0;
    }
}

unlimited_ammo()
{
    self endon("disconnect");
    self endon("death");
    self endon("disableInfAmmo");
 
        self.InfiniteAmmo = booleanOpposite(self.InfiniteAmmo);
        self iPrintln(booleanReturnVal(self.InfiniteAmmo, "Infinite Ammo ^4OFF", "Infinite Ammo ^5ON"));
 
        if (self.InfiniteAmmo)
        {
                for(;;)
                {
                    if (self getCurrentWeapon() != "none")
                    {
                        self setWeaponAmmoClip(self getCurrentWeapon(), weaponClipSize(self getCurrentWeapon()));
                        self giveMaxAmmo(self getCurrentWeapon());
                    }
                    if (self getCurrentOffHand() != "none")
                        self giveMaxAmmo(self getCurrentOffHand());
 
                    wait 0.05;
                }
        }
        else
                self notify("disableInfAmmo");
}

invis()
{
    self endon("disconnect");
    self endon("death");
    
    if(self.invisible==0)
    {
        self.invisible=1;
        self iPrintln("Invisible ^5ON");
        self hide();
    }
    else
    {
        self.invisible=0;
        self iPrintln("Invisible ^4OFF");
        self show();
    }
}

speed_x2()
{
    self endon("disconnect");
    self endon("death");
	self.speedScaleX2=booleanOpposite(self.speedScaleX2);
	self iPrintln(booleanReturnVal(self.speedScaleX2,"Speed X2 ^4OFF","Speed X2 ^5ON"));
	if(self.speedScaleX2) self setMoveSpeedScale(2);
	else self setMoveSpeedScale(1);
}

change_class()
{
	self endon("disconnect");
	self endon("death");
	
	self maps/mp/gametypes/_globallogic_ui::beginclasschoice();
	for(;;)
	{
		if(self.pers[ "changed_class" ])
		self maps/mp/gametypes/_class::giveloadout( self.team, self.class );
		wait 0.05;
	}
}

giveall_scorestreaks()
{
    self iPrintLn("Scorestreaks ^5Given");
	maps/mp/gametypes/_globallogic_score::_setplayermomentum(self, 9999);
}

give_uav()
{
    self endon("disconnect");
    self endon("death");
    self endon("stop_uav");
    
      self.uav = booleanOpposite(self.uav);
      self iPrintln(booleanReturnVal(self.uav, "UAV ^4OFF", "UAV ^5ON"));
    
    if(self.uav)
    {
	    self setclientuivisibilityflag("g_compassShowEnemies", 1);
	}
	else
	{
	    self setclientuivisibilityflag("g_compassShowEnemies", 0);
	    self notify("stop_uav");
	}
	    
}

changeHeader(shader)
{
	self.menu.header setShader(shader, 150, 40);
	self iprintln("^5Changed Shader to ["+shader+"]");
	}
	
toggleAnim()
{
	if(self.animate == 0)
	{
	self.animate = 1;
	self.menu.background4.alpha = 1;
	}
	else
	{
	self.animate = 0;
	self.menu.background4.alpha = 0;
	}
	}
	

	
	//alex
	


